{ pkgs, lib, config, inputs, ... }:

{
  dotenv.enable = true;

  packages = with pkgs; [
    bacon
    cargo-deny
    just
    postgresql
    sqls
    sqlx-cli
  ];

  # https://devenv.sh/languages/
  languages.rust = {
    enable = true;
    channel = "stable";
  };

  services.postgres = {
    enable = true;
    listen_addresses = "localhost";
    initialScript = ''
      CREATE USER georm WITH PASSWORD 'georm' SUPERUSER;
      CREATE DATABASE georm OWNER georm;
      GRANT ALL PRIVILEGES ON DATABASE georm TO georm;
    '';
  };
}
